Bug 243082 - [FutureFeature] x86 fallback
[FutureFeature] x86 fallback
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 04:30 EDT by Immanuel Hayden
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 17:00:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Immanuel Hayden 2007-06-07 04:30:59 EDT
Annoyances:
1) the fedora 7 x86_64 live image is slightly too big for a CD, so you have to 
use a DVD for about 800MB of space. The rest of the space is unused. -> 
annoyance #1
2) the image only works on x64 systems, so in order to have a working live-cd 
for all x86-pcs you have to use the 32-bit version or download both versions 
and carry around 2cds (or more accurate one cd and one dvd) -> annoyance #2

Solution:
Put both versions in one image. As the x64-version runs a check, if the cpu 
supports the x64 extension it would be easy (imho, I have not much clue of 
programming) to just redirect to boot the x86 kernel, if the extension isn't 
supported instead of throwing an error.

Pros:
1) you could use one DVD for both types of computers
2) the space of the DVD (that you need anyhow - see annoyance #1) would be 
better used.
3) the user won't have to do guesswork, if the CPU supports the x64 extension, 
when he downloads fedora, but can be shure that the software chooses the best 
possible solution

Cons:
1) download size would increase (but it would surely be less than when 
downloading both the x64 and x86 image, as there are surely some shared 
libraries)

Thoughts:
2) the user should also be able to choose the x86 mode even when he runs on an 
x64 machine
Comment 1 Jesse Keating 2007-06-09 20:58:53 EDT
We'd need a bootloader that is smart enough to detect what arch a machine is and
offer to boot the right kernel.
Comment 2 Immanuel Hayden 2007-06-10 03:20:06 EDT
I don't think that this can be a big problem, as the x64-version performs a 
check, if the x64-extension is supported and throws an error if not. if this 
detection would be used to redirect to the x86 kernel and not echo an error 
message it would be enough. but once again: I don't know how this check is 
exactly done in the code, so maybe it isn't possible the way I imagine it.
Comment 3 Jesse Keating 2007-06-10 08:08:20 EDT
This is done by the kernel itself, not the boot loader, and then it's too late
to boot a different kernel.
Comment 4 Immanuel Hayden 2007-06-10 08:36:29 EDT
oh ... crap. then maybe something like this could work: bootloader has x64 as 
default. if x64 is not supported message tells you to reboot the machine and 
use the x86 bootoption instead.
Comment 5 Jesse Keating 2007-06-10 11:53:10 EDT
That's a pretty bad user experience.  I think to be able to successfully do this
the bootloader or pre-boot loader or whatever has to be able to tell what arch
you're on and adjust to suit, instead of asking the user to reboot.
Comment 6 Immanuel Hayden 2007-06-10 12:36:04 EDT
signed. But that's stuff I left for the devs to thing about how to realize it. 
I just had this idea, as the x64-Image wouldn't fit onto a CD and that I would 
have to burn it on DVD instead. I just thought: "whow, what a waste of disk 
space. why don't they put something useful in there, like an x86-fallback-
system so I can use the DVD anywhere" and that's it. I didn't really think 
about how to technically implement this, let alone from user-experience p.o.v.
Comment 7 Bug Zapper 2008-05-14 08:53:08 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bill Nottingham 2008-05-16 17:00:40 EDT
Closing, this isn't on the radar for anytime soon. If someone comes up with a
patch, maybe...

Note that the Fedora 9 Live ISOs all fit on a CD.

Note You need to log in before you can comment on or make changes to this bug.